org.apache.mina.util.byteaccess

## Class ByteArrayPool

- java.lang.Object
- - org.apache.mina.util.byteaccess.ByteArrayPool

- All Implemented Interfaces:
    ByteArrayFactory

      public class ByteArrayPool
      extends Object
      implements ByteArrayFactory

  Creates `ByteArray`s, using a pool to reduce allocation where possible. WARNING: This code has never been run!
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayPool(boolean direct, int maxFreeBuffers, int maxFreeMemory)` Creates a new instance of ByteArrayPool.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteArray` | `create(int size)` Creates a new instance of a `ByteArray`
    `void` | `free()` Frees the buffers

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayPool

          public ByteArrayPool(boolean direct,
                       int maxFreeBuffers,
                       int maxFreeMemory)

      Creates a new instance of ByteArrayPool.
      Parameters:
        `direct` - If we should use direct buffers
        `maxFreeBuffers` - The maximum number of free buffers
        `maxFreeMemory` - The maximum amount of free memory allowed

  - ### Method Detail

    - #### create

          public ByteArray create(int size)

      Creates a new instance of a `ByteArray`
      Specified by:
        `create` in interface `ByteArrayFactory`
      Parameters:
        `size` - The size of the array to build
      Returns:
        The ByteArray

    - #### free

          public void free()

      Frees the buffers

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.